Skip to main content
Resource Center/Resource Pool/Snapshot Group Operations

QueryVolumeSnapshotGroup

QueryVolumeSnapshotGroup

GET/zstack/v1/volume-snapshots/group
GET/zstack/v1/volume-snapshots/group/{uuid}

Operation ID

QueryVolumeSnapshotGroup

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • snapshotCount
      IntegerRequired

      The number of snapshots in the snapshot group.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • volumeSnapshotRefs
      ListRequired

      See volumeSnapshotRefs.

      • volumeSnapshotUuid
        StringRequired

        The volume snapshot UUID.

      • volumeSnapshotGroupUuid
        StringRequired

        The snapshot group UUID.

      • deviceId
        intRequired

        The device ID of the volume when the snapshot is taken.

      • snapshotDeleted
        booleanRequired

        Whether the snapshot is deleted.

      • volumeUuid
        StringRequired

        The volume UUID.

      • volumeName
        StringRequired

        The volume name.

      • volumeType
        StringRequired

        The volume type.

      • volumeSnapshotInstallPath
        StringRequired

        The path to install the snapshot.

      • volumeSnapshotName
        StringRequired

        The snapshot name.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.